# ChangeLog for media-gfx/splashutils
# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/media-gfx/splashutils/ChangeLog,v 1.84 2007/04/12 04:22:37 spock Exp $

*splashutils-1.4.1 (12 Apr 2007)

  12 Apr 2007; Michał Januszewski <spock@gentoo.org>
  +splashutils-1.4.1.ebuild:
  Version bump.

  11 Apr 2007; Michał Januszewski <spock@gentoo.org>
  splashutils-1.4.ebuild:
  Fix the ebuild to handle multilib properly.

  09 Apr 2007; Michał Januszewski <spock@gentoo.org>
  -files/splashutils-1.3-initrd-chvt.patch,
  -files/splashutils-1.3-r2-fbsplash.patch, -files/splashutils-1.3-r2.patch,
  -splashutils-1.1.9.8-r1.ebuild, -splashutils-1.3-r2.ebuild,
  -splashutils-1.3-r3.ebuild:
  Remove old ebuilds.

  09 Apr 2007; Michał Januszewski <spock@gentoo.org>
  +files/splashutils-gentoo-0.1.14-stat.patch,
  splashutils-1.1.9.10-r1.ebuild:
  Fix bug #173830.

  06 Apr 2007; Michał Januszewski <spock@gentoo.org>
  +files/splashutils-1.4-remove-debug-msgs.patch, splashutils-1.4.ebuild:
  Add a patch to remove some debugging messages.

*splashutils-1.4 (05 Apr 2007)

  05 Apr 2007; Michał Januszewski <spock@gentoo.org>
  +splashutils-1.4.ebuild:
  Version bump.

  21 Mar 2007; Michał Januszewski <spock@gentoo.org>
  files/splashutils-gentoo-0.5.4-old-baselayout.patch:
  Update the old-baselayout patch so that /usr/bin/stat is not used during boot.

  15 Mar 2007; Michał Januszewski <spock@gentoo.org>
  +files/splashutils-1.3.1-cachedir.patch, splashutils-1.3.1.ebuild:
  Add support for baselayout 1.13.0.

  14 Mar 2007; Michał Januszewski <spock@gentoo.org>
  +files/splashutils-1.3.1-boot_message-fix.patch, splashutils-1.3.1.ebuild:
  Fix bug #170822.

  13 Mar 2007; Michał Januszewski <spock@gentoo.org>
  +files/splashutils-1.3.1-boot_msg.patch, splashutils-1.3.1.ebuild:
  Add a patch to use BOOT_MSG to set the system message when running the
  splash daemon.

*splashutils-1.3.1 (13 Mar 2007)

  13 Mar 2007; Michał Januszewski <spock@gentoo.org>
  +files/splashutils-gentoo-0.5.4-old-baselayout.patch,
  +splashutils-1.3.1.ebuild:
  Version bump.

  17 Feb 2007; Michał Januszewski <spock@gentoo.org>
  splashutils-1.3-r2.ebuild, splashutils-1.3-r3.ebuild:
  Remove invalid usage of $ROOT (bug #167285).

  10 Feb 2007; Michał Januszewski <spock@gentoo.org>
  +files/splashutils-1.1.9.10-types_h.patch, splashutils-1.1.9.10-r1.ebuild:
  Fix compilation problems with 2.6.19+ kernels (bug #164806).

  27 Jan 2007; Michał Januszewski <spock@gentoo.org>
  +files/splashutils-1.3-initrd-chvt.patch, splashutils-1.3-r2.ebuild,
  splashutils-1.3-r3.ebuild:
  Fix bug #163552.

  26 Nov 2006; Michał Januszewski <spock@gentoo.org>
  splashutils-1.3-r3.ebuild:
  Bugfix: do not display a list of services to be started during boot.

*splashutils-1.3-r3 (21 Nov 2006)

  21 Nov 2006; Michał Januszewski <spock@gentoo.org>
  +splashutils-1.3-r3.ebuild:
  Add support for new features present in sys-apps/baselayout-1.13.*.

  27 Sep 2006; Michał Januszewski <spock@gentoo.org>
  +files/splashutils-1.1.9.10-2.6.18-vt-fix.patch,
  splashutils-1.1.9.10-r1.ebuild:
  Fix compilation issues with 2.6.18 kernels.

  25 Sep 2006; Michał Januszewski <spock@gentoo.org>
  +files/splashutils-1.3-r2-fbsplash.patch, splashutils-1.3-r2.ebuild:
  Make it possible to compile splashutils without support for fbsplash (bug
  #149094).

  21 Aug 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  splashutils-1.1.9.10-r1.ebuild:
  Stable on amd64/ppc/x86 wrt release snapshot.

  11 Aug 2006; Michał Januszewski <spock@gentoo.org>
  splashutils-1.3-r2.ebuild:
  Add a dependency on klibc-1.4.13 or newer to allow clean compilation with
  ccache (bug #143594).

  10 Aug 2006; Michał Januszewski <spock@gentoo.org>
  splashutils-1.3-r2.ebuild:
  Make sure splash_util.static is linked against nptl libs. Should fix bug
  #140511.

*splashutils-1.3-r2 (08 Aug 2006)

  08 Aug 2006; Michał Januszewski <spock@gentoo.org>
  +files/splashutils-1.3-r2.patch, +splashutils-1.3-r2.ebuild:
  Version bump (added fixes for bugs #140596, #140667 and #141994).

  05 Aug 2006; Herbie Hopkins <herbs@gentoo.org> splashutils-1.3-r1.ebuild:
  Use correct path to klibc headers on multilib systems.

  15 Jul 2006; Michał Januszewski <spock@gentoo.org>
  +files/splashutils-1.3-pthreads.patch, splashutils-1.3-r1.ebuild:
  Added a patch fixing a potential problem with the animation thread.

  15 Jul 2006; Michał Januszewski <spock@gentoo.org>
  +files/splashutils-1.3-fdset.patch, splashutils-1.3-r1.ebuild:
  Added a fix for bug #140470.

*splashutils-1.3-r1 (15 Jul 2006)

  15 Jul 2006; Michał Januszewski <spock@gentoo.org>
  -splashutils-1.3.ebuild, +splashutils-1.3-r1.ebuild:
  Minor bugfixes in the Gentoo scripts.

*splashutils-1.3 (15 Jul 2006)

  15 Jul 2006; Michał Januszewski <spock@gentoo.org>
  +splashutils-1.3.ebuild:
  Version bump.

  12 Jul 2006; Michał Januszewski <spock@gentoo.org>
  splashutils-1.1.9.8-r1.ebuild, splashutils-1.1.9.10-r1.ebuild:
  Remove useless cpp checks in freetype (bug #138116).

  22 Apr 2006; Michał Januszewski <spock@gentoo.org>
  -files/splashutils-1.1.9.9-external-klibc.patch:
  Removed an unused patch.

  22 Apr 2006; Michał Januszewski <spock@gentoo.org>
  -splashutils-1.1.9.9-r1.ebuild, -splashutils-1.1.9.10.ebuild:
  Removed old ebuilds without support for the --svcdir option in baselayout's
  depscan.

  16 Apr 2006; Michał Januszewski <spock@gentoo.org>
  +files/splashutils-1.1.9.10-makefile.patch,
  splashutils-1.1.9.10-r1.ebuild:
  Added a patch to fix compilation issues with make 3.81 (bug #130181).

  14 Mar 2006; Michał Januszewski <spock@gentoo.org>
  splashutils-1.1.9.10-r1.ebuild:
  Made most of the einfo/ewarn messages conditional.

  06 Mar 2006; Michał Januszewski <spock@gentoo.org>
  -splashutils-1.1.9.8.ebuild, -splashutils-1.1.9.9.ebuild:
  Removed old ebuilds.

*splashutils-1.1.9.10-r1 (02 Mar 2006)
*splashutils-1.1.9.8-r1 (02 Mar 2006)

  02 Mar 2006; Roy Marples <uberlord@gentoo.org>
  +files/splashutils-depscan.patch, +splashutils-1.1.9.8-r1.ebuild,
  splashutils-1.1.9.9.ebuild, splashutils-1.1.9.9-r1.ebuild,
  +splashutils-1.1.9.10-r1.ebuild:
  Support baselayout's depscan --svcdir option instead of nasty variable
  hacking.

  02 Feb 2006; Michał Januszewski <spock@gentoo.org>
  splashutils-1.1.9.8.ebuild, splashutils-1.1.9.9.ebuild,
  splashutils-1.1.9.9-r1.ebuild, splashutils-1.1.9.10.ebuild:
  Added dependency on app-arch/cpio to all ebuilds (bug #121256).

  01 Jan 2006; Michał Januszewski <spock@gentoo.org>
  splashutils-1.1.9.8.ebuild, splashutils-1.1.9.9.ebuild,
  splashutils-1.1.9.9-r1.ebuild, splashutils-1.1.9.10.ebuild:
  Fixed a typo (bug #117330).

  20 Nov 2005; Michał Januszewski <spock@gentoo.org>
  +files/splashutils-1.1.9.10-ppc-2.6.14.patch, splashutils-1.1.9.10.ebuild:
  Added a patch to allow building splashutils against 2.6.14 on ppc (bug
  #112744).

*splashutils-1.1.9.10 (29 Sep 2005)

  29 Sep 2005; Michał Januszewski <spock@gentoo.org>
  -splashutils-0.9.1.ebuild, -splashutils-1.1.9.6-r1.ebuild,
  -splashutils-1.1.9.7.ebuild, +splashutils-1.1.9.10.ebuild:
  Version bump.

  09 Sep 2005; Michał Januszewski <spock@gentoo.org>
  splashutils-1.1.9.9-r1.ebuild:
  Updated zlib to 1.2.3 (requested in bug #104118).

  08 Sep 2005; Michał Januszewski <spock@gentoo.org>
  splashutils-1.1.9.9-r1.ebuild:
  Added a fix for bug #104251 -- try to support gcc built with the 'vanilla' 
  USE flag.

  02 Sep 2005; Michael Hanselmann <hansmi@gentoo.org>
  splashutils-1.1.9.8.ebuild:
  Stable on ppc.

  31 Aug 2005; Luis Medinas <metalgod@gentoo.org>
  splashutils-1.1.9.8.ebuild:
  Marked Stable on AMD64.

*splashutils-1.1.9.9-r1 (28 Aug 2005)

  28 Aug 2005; Michał Januszewski <spock@gentoo.org>
  +files/splashutils-1.1.9.9-external-klibc.patch,
  splashutils-1.1.9.8.ebuild, +splashutils-1.1.9.9-r1.ebuild:
  Updated the splashutils ebuild to build against external klibc. Credits for
  the patch go to Martin Schlemmer <azarah (at) gentoo (dot) org> (bug
  #103855). Marked 1.1.9.8 stable on x86.

*splashutils-1.1.9.9 (21 Aug 2005)

  21 Aug 2005; Michał Januszewski <spock@gentoo.org>
  +splashutils-1.1.9.9.ebuild:
  Version bump.

  20 Jul 2005; Joseph Jezak <josejx@gentoo.org> splashutils-1.1.9.7.ebuild:
  Marked ppc stable for 2.6.12 support.

*splashutils-1.1.9.8 (18 Jul 2005)

  18 Jul 2005; Michał Januszewski <spock@gentoo.org>
  +splashutils-1.1.9.8.ebuild:
  Version bump.

*splashutils-1.1.9.7 (09 Jul 2005)

  09 Jul 2005; Michał Januszewski <spock@gentoo.org>
  +splashutils-1.1.9.7.ebuild:
  Version bump -- 1.1.9.7 includes many bugfixes and has support for genkernel
  initrds. Changed all KBUILD_OUTPUT references to KV_OUT_DIR in the ebuild.
  This should fix compilation problems for people using an external kernel
  object directory.

  08 Jul 2005; Michał Januszewski <spock@gentoo.org>
  -splashutils-1.1.9.6.ebuild, splashutils-1.1.9.6-r1.ebuild:
  Fixed a typo in the ebuild info messages (bug #98375). Removed old ebuild.

  07 Jul 2005; Herbie Hopkins <herbs@gentoo.org>
  splashutils-1.1.9.6-r1.ebuild:
  Stable on amd64.

  06 Jul 2005; Daniel Drake <dsd@gentoo.org> splashutils-1.1.9.6-r1.ebuild:
  Stable on x86, required for fbsplash on 2.6.12

  23 Jun 2005; Michał Januszewski <spock@gentoo.org>
  splashutils-1.1.9.6-r1.ebuild:
  Use KERNEL_DIR instead of /usr/src/linux for the kernel source tree (bug
  #96897).

  23 Jun 2005; Michał Januszewski <spock@gentoo.org>
  splashutils-1.1.9.6.ebuild, splashutils-1.1.9.6-r1.ebuild:
  Replaced 'mkdev' with 'mknod' (bug #96725).

  12 Jun 2005; Michał Januszewski <spock@gentoo.org>
  splashutils-0.9.1.ebuild, splashutils-1.1.9.6.ebuild:
  Negate -fstack-protector regardless of the 'hardened' USE flag state (fix
  for bug #71193).

  12 Jun 2005; Michał Januszewski <spock@gentoo.org>
  -splashutils-1.1.9.5.ebuild:
  Removed old ebuild.

*splashutils-1.1.9.6-r1 (12 Jun 2005)

  12 Jun 2005; Michał Januszewski <spock@gentoo.org>
  +splashutils-1.1.9.6-r1.ebuild:
  Added a fix for bug #95657.

  05 Jun 2005; Michael Hanselmann <hansmi@gentoo.org>
  splashutils-0.9.1.ebuild:
  Stable on ppc.

  24 May 2005; Herbie Hopkins <herbs@gentoo.org> splashutils-1.1.9.6.ebuild:
  fixed multilib issue

*splashutils-1.1.9.6 (16 May 2005)

  16 May 2005; Michał Januszewski <spock@gentoo.org>
  -splashutils-1.1.9.3.ebuild, -splashutils-1.1.9.4.ebuild,
  +splashutils-1.1.9.6.ebuild:
  And another bugfix release, which includes fixes for some remaining issues 
  spotted in the 1.1.9.x series (bug #90483 comes to mind). The default silent 
  tty has now been set to tty16 to avoid conflicts with consolefont and 
  syslog-ng. If you have a 'tty:' setting on your kernel command line, try 
  removing it in case of any problems. A new utility script, called 
  splash_manager, is included in this release. The script can be used for 
  switching, setting, testing and listing themes. It's somewhat experimental
  at this stage, so please test it. If you are not sure how the kernel command 
  line should be set, try using 'splash_manager -c switch -t <theme>'.

  29 Apr 2005; Michał Januszewski <spock@gentoo.org>
  -splashutils-0.9_rc1.ebuild, -splashutils-1.1.9.1.ebuild,
  -splashutils-1.1.9.2.ebuild:
  Removed old ebuilds.

*splashutils-1.1.9.5 (29 Apr 2005)

  29 Apr 2005; Michał Januszewski <spock@gentoo.org>
  +splashutils-1.1.9.5.ebuild:
  Yet another bugfix release. Includes fixes for 16bpp modes, and complete or
  partial fixes for bugs: #90307, #90331, #90483, #90556. There have also been
  some important changes in the ebuild. The sample Gentoo themes have been
  removed from this package and are now available in
  media-gfx/splash-themes-gentoo. Some additional sanity checks (/dev/tty1
  presence, GCC_SPEC checking) have been added to make it easier to fix common
  problems.

  26 Apr 2005; Michał Januszewski <spock@gentoo.org>
  splashutils-1.1.9.4.ebuild:
  Avoid installing the default symlink if it already exists -- fixed bug #90484.

*splashutils-1.1.9.4 (24 Apr 2005)

  24 Apr 2005; Michał Januszewski <spock@gentoo.org>
  +splashutils-1.1.9.4.ebuild:
  A bugfix release (fixes bugs: #88461, #87113, #85531). It also introduces
  support for new USE flags: png, truetype and kdgraphics. The first two of
  them should probably be enabled to make sure all themes work correctly.
  kdgraphics is a local USE flag which changes the way the silent splash image
  is displayed. Please read the description in use.local.desc before enabling
  it, as it has the potential to break things and it should probably be kept
  disabled in all common situations.

*splashutils-1.1.9.3 (28 Mar 2005)

  28 Mar 2005; Michał Januszewski <spock@gentoo.org>
  +splashutils-1.1.9.3.ebuild:
  A new release with bugfixes and some simple new features. Please have a look
  at the project changelog at my devsite for a full list of changes.

*splashutils-1.1.9.2 (21 Mar 2005)

  21 Mar 2005; Michał Januszewski <spock@gentoo.org>
  +splashutils-1.1.9.2.ebuild:
  Version bump. Mostly bugfixes. Please have a look at the project homepage
  for a full list of changes.

*splashutils-1.1.9.1 (09 Mar 2005)

  09 Mar 2005; Michał Januszewski <spock@gentoo.org>
  +splashutils-1.1.9.1.ebuild:
  Added a development version of splashutils.

  08 Mar 2005; Michał Januszewski <spock@gentoo.org>
  splashutils-0.9.1.ebuild, -splashutils-0.9_pre09.ebuild,
  -splashutils-0.9_pre10.ebuild, splashutils-0.9_rc1.ebuild:
  Removed old ebuilds. Updated the remaining ebuilds to work with KBUILD_OUTPUT.

  07 Mar 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  splashutils-0.9.1.ebuild:
  Marking stable on amd64 so we have the right version on the LiveCD... bad
  spock...

  01 Mar 2005; Michał Januszewski <spock@gentoo.org>
  splashutils-0.9.1.ebuild:
  Marked stable on x86.

  11 Feb 2005; Michał Januszewski <spock@gentoo.org>
  splashutils-0.9.1.ebuild, splashutils-0.9_pre09.ebuild,
  splashutils-0.9_pre10.ebuild, splashutils-0.9_rc1.ebuild:
  Added version deps as a fix for bug #81608.

*splashutils-0.9.1 (27 Jan 2005)

  27 Jan 2005; Michał Januszewski <spock@gentoo.org>
  +splashutils-0.9.1.ebuild, -splashutils-0.9_pre07.ebuild,
  -splashutils-0.9_pre08.ebuild:
  Added a new version of splashutils with some amazing new features and
  bugfixes which I'm too lazy to list here ;) Removed old ebuilds.

  16 Jan 2005; Michal Januszewski <spock@gentoo.org>
  splashutils-0.9_rc1.ebuild:
  Added hardened compilation fixes from bug #71193.

  12 Jan 2005; Michal Januszewski <spock@gentoo.org>
  splashutils-0.9_rc1.ebuild:
  Marked stable on x86.

  04 Jan 2005; Michael Hanselmann <hansmi@gentoo.org>
  splashutils-0.9_rc1.ebuild:
  Added to ~ppc, bug 76637.

*splashutils-0.9_rc1 (12 Nov 2004)

  12 Nov 2004; Michal Januszewski <spock@gentoo.org>
  +splashutils-0.9_rc1.ebuild:
  A new bugfix release. Closes #68853 and #70029. Fixes some theme issues
  (wrong images for 8bpp, wrong box coordinates for the gentoo theme).

  20 Oct 2004; Michal Januszewski <spock@gentoo.org>
  splashutils-0.9_pre10.ebuild:
  Marked splashutils stable on x86 and amd64. Changed baselayout dep. to >=
  1.9.4-r5.

  13 Oct 2004; Michal Januszewski <spock@gentoo.org>
  splashutils-0.9_pre07.ebuild, splashutils-0.9_pre08.ebuild,
  splashutils-0.9_pre09.ebuild, splashutils-0.9_pre10.ebuild:
  Added a dep on virtual/linux-sources.

  01 Oct 2004; Michal Januszewski <spock@gentoo.org>
  splashutils-0.9_pre10.ebuild:
  Added a little fix (removed dependency on unistd.h for syscalls.nrs) which
  should make splashutils compile with older kernels.

*splashutils-0.9_pre10 (27 Sep 2004)

  27 Sep 2004; Michal Januszewski <spock@gentoo.org>
  +splashutils-0.9_pre10.ebuild:
  Splashutils update. Includes small bugfixes, klibc and libpng updates, and
  2.6.9-rc2 compatibility. Closes bug #64068.

  08 Sep 2004; Michal Januszewski <spock@gentoo.org>
  splashutils-0.9_pre09.ebuild:
  Updated the klibc version (bug #63170). Marked ~amd64.

*splashutils-0.9_pre09 (07 Sep 2004)

  07 Sep 2004; Michal Januszewski <spock@gentoo.org>
  +splashutils-0.9_pre09.ebuild:
  Splashutils update, includes fixes for amd64 and dithering for 15/16bpp modes.
  Special thanks to Christian Roessner for his help with making it work on 
  amd64.

*splashutils-0.9_pre08 (05 Sep 2004)

  05 Sep 2004; Michal Januszewski <spock@gentoo.org>
  +splashutils-0.9_pre08.ebuild:
  Version bump. Added a new theme 'gentoo' and fixed the 'emergence' theme. For
  a full ChangeLog for splashutils check http://dev.gentoo.org/~spock/. Closes
  bugs #61341, #61478, #61960 and possibly #61678.

  30 Aug 2004; Michal Januszewski <spock@gentoo.org>
  splashutils-0.9_pre07.ebuild:
  Updated the ebuild to display info about 'make prepare', not try to execute it.

  22 Aug 2004; Michal Januszewski <spock@gentoo.org>
  splashutils-0.9_pre07.ebuild:
  Added a fix for 8bpp silent images for the emergence theme.

*splashutils-0.9_pre07 (21 Aug 2004)

  21 Aug 2004; Michal Januszewski <spock@gentoo.org> +metadata.xml,
  +splashutils-0.9_pre07.ebuild:
  Intial commit.

